.\" Project   : tin
.\" Module    : tin.5
.\" Author    : U. Janssen
.\" Created   : 2000-07-10
.\" Updated   : 2022-11-01
.\" Notes     : needs a some work
.\"
.\"
.TH tin 5 "December 24th, 2021" "2.6.2" "Usenet newsreader"

.SH NAME
tin, rtin \- related files

.SH DESCRIPTION
This man page describes the various (config) files and their formats used by
the
.BR \%tin (1)
newsreader. All files are expected to have unix style ('\(rsn' aka LF) line
endings.

.SH FILES
.\" TODO: mention
.\" ${TIN_HOMEDIR:\-"$HOME"}/dead.article
.\" ${TIN_HOMEDIR:\-"$HOME"}/dead.articles
.\" ${TIN_HOMEDIR:\-"$HOME"}/.article[.$$]
.\" ${TIN_HOMEDIR:\-"$HOME"}/.cancel[.$$]
.\" ${TIN_HOMEDIR:\-"$HOME"}/.letter[.$$]
.\" ${XDG_RUNTIME_DIR:\-"$HOME"}/.slrnfaces
.\" $PWD/trace[.out]   (--with-trace)
.\" $TMPDIR/NNTP       (-D 1)
.\" $TMPDIR/FILTER     (-D 2)
.\" $TMPDIR/ARTS       (-D 2)
.\" $TMPDIR/BITMAP     (-D 4)
.\" $TMPDIR/REFS.dump  (-D 8)
.\" $TMPDIR/REFS.info  (-D 8)
.\" $TMPDIR/MALLOC     (-D 16)
.\" $TMPDIR/ATTRIBUTES (-D 32)
.\" $TMPDIR/SCOPES-R   (-D 32)
.\" $TMPDIR/SCOPES-W   (-D 32)
.\" $TMPDIR/ACTIVE     (-D 64)
.IR $MAILCAPS
.br
.IR ~/.mailcap
.br
.IR /etc/mailcap
.br
.IR /usr/etc/mailcap
.br
.IR /usr/local/etc/mailcap
.br
.IR /etc/mail/mailcap
.sp
.RS
.BR \%mailcap (5)
files as defined in \fBRFC\%1524\fP. The mailcap files are read by
.BR \%tin (1)
to determine how to display non-text messages at the local site. Any line
that starts with "#" is a comment. Blank lines are ignored. Otherwise, each
line defines a single mailcap entry for a single content type. Long lines
may be continued by ending them with a backslash character, "\(rs".
.sp
Each individual mailcap entry consists of a content-type specification, a
command to execute, and (possibly) a set of optional "flag" values.
.sp
The "type" field is simply any legal content type name. It is the string
that will be matched against the ''Content\-Type:'' header to decide if this
is the mailcap entry that matches the current message. Additionally, the
type field may specify a subtype or a wildcard to match all subtypes.
.sp
The "command" field is any UNIX command and is used to specify the
interpreter for the given type of message. It will be passed to the shell
via the
.BR \%system (3)
facility.
.sp
Semicolons and backslashes within the command or any flag field must be
quoted with backslashes. If the field contains "%s", those two characters
will be replaced by the name of a file that contains the body of the
message. If it contains "%t", those two characters will be replaced by the
content-type field, including the subtype, if any. If it contains "%{"
followed by a parameter name and a closing "}", then all those characters
will be replaced by the value of the named parameter, if any, from the
\&''Content\-Type:'' header. Finally, if the field contains "\(rs%", those two
characters will be replaced by a single "%" character.
.\"
.\" Two special codes can appear in the viewing command for objects of type
.\" multipart (any subtype). These are "%n" and "%F". %n will be replaced by
.\" the number of parts within the multipart object. %F will be replaced by a
.\" series of arguments, two for each part, giving first the content-type and
.\" then the name of the temporary file where the decoded part has been stored.
.\"
.sp
Besides the type and command field the following "flags" are defined:
.TP
.B compose
The "compose" field may be used to specify a program that can be used to
compose a new body or body part in the given format. Its intended use is to
support mail composing agents that support the composition of multiple types
of mail using external composing agents. As with the view-command, the
semantics of program execution are operating system dependent. The result of
the composing program may be data that is not yet suitable for mail
transport \(em that is, a Content\-Transfer\-Encoding may need to be applied to
the data.
.TP
.B composetyped
The "composetyped" field is similar to the "compose" field, but is to be
used when the composing program needs to specify the ''Content\-Type:''
header field to be applied to the composed data. The "compose" field is
simpler, and is preferred for use with existing (non-mail-oriented) programs
for composing data in a given format. The "composetyped" field is necessary
when the Content\-Type information must include auxiliary parameters, and
the composition program must then know enough about mail formats to produce
output that includes the mail type information.
.TP
.B edit
The "edit" field may be used to specify a program that can be used to edit a
body or body part in the given format. In many cases, it may be identical
in content to the "compose" field, and shares the operating-system dependent
semantics for program execution.
.TP
.B print
The "print" field may be used to specify a program that can be used to print
a message or body part in the given format. As with the view-command, the
semantics of program execution are operating system dependent.
.TP
.B test
The "test" field may be used to test some external condition (e.g., the
machine architecture, or the window system in use) to determine whether or
not the mailcap line applies. It specifies a program to be run to test some
condition. The semantics of execution and of the value returned by the test
program are operating system dependent. If the test fails, a subsequent
mailcap entry should be sought. Multiple test fields are not permitted \(em
since a test can call a program, it can already be arbitrarily complex.
.TP
.B needsterminal
The "needsterminal" field indicates that the view-command must be run on an
interactive terminal. This is needed to inform window-oriented user agents
that an interactive terminal is needed. (The decision is not left
exclusively to the view-command because in some circumstances it may not be
possible for such programs to tell whether or not they are on interactive
terminals.) The needsterminal command should be assumed to apply to the
compose and edit commands, too, if they exist. Note that this is NOT a test
- it is a requirement for the environment in which the program will be
executed, and should typically cause the creation of a terminal window when
not executed on either a real terminal or a terminal window.
.TP
.B copiousoutput
The "copiousoutput" field indicates that the output from the view-command
will be an extended stream of output, and is to be interpreted as advice to
the UA (User Agent mail-reading program) that the output should be either
paged or made scroll-able. Note that it is probably a mistake if
needsterminal and copiousoutput are both specified.
.TP
.B description
The "description" field simply provides a textual description, optionally
quoted, that describes the type of data, to be used optionally by mail
readers that wish to describe the data before offering to display it.
.TP
.B textualnewlines
The "textualnewlines" field, if set to any non-zero value, indicates that
this type of data is line-oriented and that, if encoded in base64, all
newlines should be converted to canonical form (CRLF) before encoding, and
will be in that form after decoding. In general, this field is needed only
if there is line-oriented data of some type other than text/* or non-line-
oriented data that is a subtype of text.
.TP
.B x11\-bitmap
The "x11\-bitmap" field names a file, in X11 bitmap (xbm) format, which
points to an appropriate icon to be used to visually denote the presence of
this kind of data.
.TP
.B nametemplate
The "nametemplate" field gives a filename format, in which %s will be
replaced by a short unique string to give the name of the temporary file to
be passed to the viewing command. This is only expected to be relevant in
environments where filename extensions are meaningful, e.g., one could
specify that a GIF file being passed to a gif viewer should have a name
ending in ".gif" by using "nametemplate=%s.gif"
.PP
.BR \%tin (1)
currently only respects the "test", "description", "nametemplate" and partly
the "needsterminal" flags, all other flags are internally ignored. It also
can't handle the "%F" and "%n" expansions yet.
.TP
Example:
.RS
.nf
# mailcap file example
.br
image/*;\\
.br
.in +.3i
xv \-8 \-geometry +0 '%s';\\
.br
description=%{name} %t\-Image;\\
.br
test=test "$DISPLAY" != "";\\
.br
nametemplate=%s.IMAGE
.in -.3i
.sp
message/rfc822;\\
.br
.in +.3i
${PAGER:\-"more"} '%s';\\
.br
edit=${EDITOR:\-"vi"} '%s';\\
.br
compose=${EDITOR:\-"vi"} '%s';\\
.br
print=a2ps '%s';\\
.br
needsterminal
.in -.3i
.fi
.RE
.RE
.PP

.IR /etc/nntpserver
.sp
.RS
default NNTP-server to read news from if not reading from the local spool.
\&'\fB\-g\fP \fIserver\fR', $\fBNNTPSERVER\fP have higher priority (in
that order), the default server given at compile time has lower
priority.
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.cancelsecret
.sp
.RS
secret to be used for cancel-locks if
.BR \%tin (1)
is build with support for it. An empty secret file disables the cancel-lock
creation in that case. This file should be readable only by the user.
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.mime.types
.br
.IR /etc/mime.types
.br
.IR /etc/tin/mime.types
.sp
.RS
mime type / filename extension pairs
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.newsauth
.sp
.RS
"\fInntpserver\fR \fIpassword\fR [\fIuser\fR]" pairs for NNTP servers that
require authorization. If the password contains a space or a tab it must be
enclosed in double quotes ("). Usernames must not be enclosed in double quotes
and thus can't contain spaces or tabs. Any line that starts with "#" is a
comment. Blank lines are ignored. This file should be readable only for the
user as it contains the user's unencrypted password for reading news!
.TP
.B nntpserver
full qualified domain name of the news server.
.TP
.B password
user's unencrypted password for reading news.
.TP
.B user
username on the news server if it differs from the local login. This field is
optional.
.TP
Example:
.RS
# sample .newsauth file
.br
news.example.org  secret
.br
news.example.net  arcane  guest
.br
news.example.com  "top secret"  james.bond@example.com
.RE
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.newsrc
.sp
.RS
"\fInewsgroup\fR\fIflag\fR [\fIarticle\fR[,\fIarticle\fR | \-\fIarticle\fR]...]"
lines.
.TP
.B newsgroup
the name of the newsgroup.
.TP
.B flag
a flag indicating if the group is subscribed ':' or not '!'.
.TP
.B article
range of already read articles from that group; numbers separated by commas
with sequential numbers collapsed with hyphens. Empty lines and lines which
start with "#" are ignored and not written back.
.TP
Example:
.RS
# sample .newsrc file
.br
news.software.b! 1\-666,669
.br
news.software.nntp: 1\-13245,13247,13249
.br
news.software.readers: 1\-19567,19571\-19597
.RE
.RE
.PP

.nf
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/$NNTPSERVER${NNTPPORT:+":$NNTPPORT"}/.oldnewsrc
.fi
.sp
.RS
backup of \fI${TIN_HOMEDIR:\-"$HOME"}/.newsrc\fR
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.signature
.br
.IR ${TIN_HOMEDIR:\-"$HOME"}/.Sig
.sp
.RS
signature
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.sigfixed
.sp
.RS
fixed part of a randomly generated signature
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/.inputhistory
.sp
.RS
history of last used strings
.RE
.PP

.IR ${TIN_INDEX_MAILDIR:\-"${TIN_HOMEDIR:\-"$HOME"}/.tin"}/.mail/
.sp
.RS
mailgroups index files
.RE
.PP

.nf
.IR ${TIN_INDEX_NEWSDIR:\-"${TIN_HOMEDIR:\-"$HOME"}/.tin"}/.news${NNTPSERVER:+"\-$NNTPSERVER"}/
.fi
.sp
.RS
newsgroups index files
.RE
.PP

.IR ${TIN_INDEX_SAVEDIR:\-"${TIN_HOMEDIR:\-"$HOME"}/.tin"}/.save/
.sp
.RS
saved newsgroups index files
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/active.mail
.sp
.RS
active file ("\fImailgroupname\fR \fImaxnum\fR \fIminnum\fR
\fImailspool\fR" quadruples) of user's mailgroups (requires
.BR \%tin (1)
to be build with mh-mail-handling support).
.TP
.B mailgroupname
must be the pathname of the mailbox relative to field #4 with '/' changed
to '.'
.TP
.B maxnum
just put a large number here, something higher than the highest message in
the mailbox
.TP
.B minnum
put 0 here
.TP
.B mailspool
path of mail spool directory. This must be the full pathname to the root of
the mail folder area.
.TP
Example:
.RS
Mail.inbox  12345 00000 /home/foo
.br
Mail.outbox 23456 00000 /home/foo
.RE
.sp
This allows access to the 'inbox' and 'outbox' folders of user foo.
They are accessed via /home/foo/Mail/inbox and /home/foo/Mail/outbox
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/active.save
.sp
.RS
active file of user's saved newsgroups, used by \fBtin \-R\fP.
.RE
.PP

.\" tin uses inns old (pre 2.x) Path convention.
.\" as with inn >= 2.2.x getting more and more popular
.\" we should think about checking for the new Paths (/news/etc/)
.\" ${TIN_LIBDIR\-/news/etc"}/attributes
.IR /etc/tin/attributes
.br
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/attributes
.sp
.RS
The group attributes files may be used to override some global settings from
\fI${TIN_HOMEDIR:\-"$HOME"}/.tin/tinrc\fR on a per group basis. Order is
important as last match counts; this allows one to refine attributes for
narrowed scopes. Note that the \fIscope=<grouplist>\fR line has to be
specified before the attributes are specified for that list and each
attribute can only be set once per scope section. All attributes are set to
a reasonable default so you only have to specify the attribute that you want
to change. All toggle attributes are set by specifying ON/OFF. Otherwise,
they function exactly as their global equivalents. The following group
attributes are available:
.TP
.B scope
This changes the list of groups to which the attributes that follow will be
applied. See the section NEWSGROUP LISTS & WILDCARDS in
.BR \%tin (1)
for the types of pattern that can be used here.
.TP
.B add_posted_to_filter
Identical to the tinrc variable of the same name
.TP
.B advertising
Identical to the tinrc variable of the same name
.TP
.B alternative_handling
Identical to the tinrc variable of the same name
.TP
.B ask_for_metamail
Identical to the tinrc variable of the same name
.TP
.B auto_cc_bcc
Identical to the tinrc variable of the same name
.TP
.B auto_list_thread
Identical to the tinrc variable of the same name
.TP
.B auto_select
Automatically perform the \fBGroupMarkUnselArtRead\fP ('\fBX\fP') command
after entering the group.
.TP
.B batch_save
Can be used to override the global setting in tinrc on a
per group basis. For more information read section AUTOMATIC MAILING AND
SAVING NEW NEWS in
.BR \%tin (1).
.TP
.B date_format
Identical to the tinrc variable of the same name
.TP
.B delete_tmp_files
If this is set to ON, then saved article files that have been
post-processed will be automatically deleted, otherwise the user will
be asked whether to delete the post-processed files. Automatic
processing of marked articles using \fBGroupAutoSave\fP
('\fBS\fP') will suppress prompting.
.TP
.B editor_format
Identical to the tinrc variable of the same name
.TP
.B extquote_handling
Identical to the tinrc variable of the same name
.TP
.B fcc
Mailbox to save sent mails. The format of the mailbox is controlled
via the tinrc \fBmailbox_format\fP variable.
.TP
.B followup_to
Set ''Followup\-To:'' header to the specified group(s).
.TP
.B from
Identical to the tinrc variable \fBmail_address\fP
.TP
.B group_catchup_on_exit
Identical to the tinrc variable of the same name
.TP
.B group_format
Identical to the tinrc variable of the same name
.TP
.B mail_8bit_header
Identical to the tinrc variable of the same name
.TP
.B mail_mime_encoding
Identical to the tinrc variable of the same name
.TP
.B maildir
Identical to the tinrc variable of the same name
.TP
.B mailing_list
Used when a group is a mailing list. All responses to the group will be
directed to this email address instead
.TP
.B mark_ignore_tags
Identical to the tinrc variable of the same name
.TP
.B mark_saved_read
Identical to the tinrc variable of the same name
.TP
.B mime_forward
Determines whether usenet articles are forwarded as attachment or
inline. When set to OFF, the forwarded article will be included in
the body of the mail, while setting this variable to ON will cause
the article to be attached as a separate MIME part. Enabling
\fBmime_forward\fP is particularly useful for articles consisting of
multiple MIME parts such as PGP/MIME signed messages or being encoded
in a different character set than your local one. It is also useful
if the receiver should be able to operate on the entire forwarded
article (i.e., view or save it without your comments). On the other
hand, if you want to forward only some parts of the article or to
insert 'inline' annotations, you might want to disable this option.
Currently mime_forward is forced if the article to be attached is a
multipart MIME article, this may change in a future version.
Please note that for this option to have effect, the tinrc variable
\fBinteractive_mailer\fP has to be set to 0 (which is the default).
.TP
.B mime_types_to_save
A comma separated list of MIME major/minor Content\-Types that will be
saved when using the view/save and save/autosave features.
A single * can be used to wildcard the major and/or minor type and
a ! as the first character in an entry will negate it, eg:
image/*,!image/bmp,!text/html. Default is */*
.TP
.B news_headers_to_display
Identical to the tinrc variable of the same name
.TP
.B news_headers_to_not_display
Identical to the tinrc variable of the same name
.TP
.B news_quote_format
Identical to the tinrc variable of the same name
.TP
.B organization
This can be used to set the article header field ''Organization:''. It
overrides the setting (if any) of organization in
\fI/etc/tin/tin.defaults\fR and $\fBORGANIZATION\fP (or $\fBNEWSORG\fP on
Apollo DomainOS). Note that some news servers might still overwrite the
\&''Organization:'' header.
.TP
.B pos_first_unread
Identical to the tinrc variable of the same name
.TP
.B post_8bit_header
Identical to the tinrc variable of the same name
.TP
.B post_mime_encoding
Identical to the tinrc variable of the same name
.TP
.B post_process_type
Identical to the tinrc variable of the same name
.TP
.B post_process_view
Identical to the tinrc variable of the same name
.TP
.B print_header
Identical to the tinrc variable of the same name
.TP
.B process_only_unread
Identical to the tinrc variable of the same name
.TP
.B prompt_followupto
Identical to the tinrc variable of the same name
.TP
.B quote_chars
Identical to the tinrc variable of the same name
.TP
.B savedir
Identical to the tinrc variable of the same name
.TP
.\" TODO: document option
.B savefile
.TP
.B show_author
Identical to the tinrc variable of the same name
.TP
.B show_info
Identical to the tinrc variable of the same name
.TP
.B show_only_unread_arts
Identical to the tinrc variable of the same name
.TP
.B show_signatures
Identical to the tinrc variable of the same name
.TP
.B sigdashes
Identical to the tinrc variable of the same name
.TP
.B sigfile
Identical to the tinrc variable of the same name
.TP
.B signature_repost
Identical to the tinrc variable of the same name
.TP
.B sort_article_type
Identical to the tinrc variable \fBsort_article_type\fP
.TP
.B sort_threads_type
Identical to the tinrc variable of the same name
.TP
.B tex2iso_conv
Identical to the tinrc variable of the same name
.TP
.B thread_articles
Identical to the tinrc variable of the same name
.TP
.B thread_catchup_on_exit
Identical to the tinrc variable of the same name
.TP
.B thread_format
Identical to the tinrc variable of the same name
.TP
.B thread_perc
Identical to the tinrc variable of the same name
.TP
.B trim_article_body
Identical to the tinrc variable of the same name
.TP
.B suppress_soft_hyphens
Identical to the tinrc variable of the same name
.TP
.B verbatim_handling
Identical to the tinrc variable of the same name
.TP
.B wrap_on_next_unread
Identical to the tinrc variable of the same name
.TP
.B x_body
A piece of text that will be added at the start of a message body. If this
string starts with a / or ~ then it is assumed to be the name of a file
containing the text to insert.
.TP
.B x_comment_to
Insert ''X\-Comment\-To:'' header, this is only useful in FIDO groups.
.TP
.B x_headers
A string including header-name and the contents of the header that will
be automatically added when posting. If the string starts with a / or ~
then it is assumed to be the name of a file containing the header and its
content to be inserted. If the string starts with a ! then what follows
is assumed to be the path to a program to be executed to generate the
header and its content. %G is expanded to the current news.group.name
and %P is expanded to the news.group.name with all '.' replaced by '/'.
.TP
.B quick_kill_scope
A comma-separated list of newsgroup patterns (wildmat-style) to which
groups the filter rule added by \fBQuickFilterKill\fP will be applied.
If unset the default from the tinrc variable
\fBdefault_filter_kill_global\fP will be used.
.TP
.B quick_kill_expire
Identical to the tinrc variable \fBdefault_filter_kill_expire\fP
.TP
.B quick_kill_case
Identical to the tinrc variable \fBdefault_filter_kill_case\fP
.TP
.B quick_kill_header
Identical to the tinrc variable \fBdefault_filter_kill_header\fP
.TP
.B quick_select_scope
A comma-separated list of newsgroup patterns (wildmat-style) to which
groups the filter rule added by \fBQuickFilterSelect\fP will be
applied. If unset the default from the tinrc variable
\fBdefault_filter_select_global\fP will be used.
.TP
.B quick_select_expire
Identical to the tinrc variable \fBdefault_filter_select_expire\fP
.TP
.B quick_select_case
Identical to the tinrc variable \fBdefault_filter_select_case\fP
.TP
.B quick_select_header
Identical to the tinrc variable \fBdefault_filter_select_header\fP
.TP
.B ispell
Path and options for
.BR \%ispell (1)-like
spell-checker, e.g. "aspell \-\-mode=email \-\-dont\-backup check"
.TP
.B mm_network_charset
Identical to the tinrc variable of the same name
.TP
.B undeclared_charset
Assume (broken) articles without MIME charset declaration have this
charset \(em default is US-ASCII. This attribute works only on systems
with working
.BR \%iconv (3),
others might have to compile
.BR \%tin (1)
with \-\-disable\-mime\-strict\-charset.
.TP
Example:
.RS
.nf
# include extra headers
# assume ISO\-8859\-1 as charset if no charset is declared
scope=*
x_headers=~/.tin/headers
undeclared_charset=ISO\-8859\-1

# in *sources* set post process type to shar only
scope=*sources*
post_process_type=1

# in *binaries* turn on full post processing,
# remove tmp files and set Followup\-To: poster
scope=*binaries*
post_process_type=2
delete_tmp_files=ON
followup_to=poster

# in fido.* newsgroups change quote_chars
# and add X\-Comment\-To: line
scope=fido.*
quote_chars=%I>_
x_comment_to=ON

# in *.test newsgroups, don't append signature
# and preset Subject
scope=*.test
sigfile=\-\-none
x_headers=Subject: test \- ignore \- no reply

# assume ISO\-2022\-JP\-2 as charset
scope=fj.*,japan.*
undeclared_charset=ISO\-2022\-JP\-2
.fi
.RE
.RE
.PP

.\" TODO: add missing descriptions and explain things in detail.
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/filter
.sp
.RS
The filter file is used to assign scores to certain articles. Based on the
score an article can be filtered out (hidden) or marked hot. Empty lines or
lines beginning with a '#' are ignored.
.TP
.B comment
Every entry (rule) in the filter file might get a comment. Multiple
lines are allowed (but only for comments yet). Every line must start
with the "comment=" keyword. Comments must appear first in the rule.
Comment lines placed within a rule will be moved to the begin of the
next rule. This might be changed in the future. Don't use '#' to mark
comments as those lines are ignored and your comments will get lost
on the next write of the file.
.TP
.B group
A comma-separated list of newsgroup patterns in wildmat-style to which
groups the filter rule will be applied. This line is mandatory!
.TP
.B case
0=case-sensitive, 1=case-insensitive
.TP
.B score
Score value of the rule; can also be one of the magic words "kill" or "hot".
.TP
.B subj
Match against ''Subject:''. The matching type used (wildmat or regex) depends
on the setting of the tinrc variable \fBwildcard\fP.
.TP
.B from
Match against ''From:''.
.BR \%tin (1)
converts the contents of the ''From:'' header to an old style e-mail
address, e.g. ''some@body.example (John Doe)'' instead
of ''John Doe <some@body.example>'', before trying to match the patterns in
the filter rule. The matching type used (wildmat or regex) depends on the
setting of the tinrc variable \fBwildcard\fP.
.TP
.B msgid
Match against ''Message\-ID:'' and full ''References:''. The matching type
used (wildmat or regex) depends on the setting of the tinrc
variable \fBwildcard\fP.
.TP
.B msgid_last
Match against ''Message\-ID:'' and last ''References:'' entry only. The
matching type used (wildmat or regex) depends on the setting of the tinrc
variable \fBwildcard\fP.
.TP
.B msgid_only
Match against ''Message\-ID:''. The matching type used (wildmat or regex)
depends on the setting of the tinrc variable \fBwildcard\fP.
.TP
.B refs_only
Match against ''References:''. The matching type used (wildmat or regex)
depends on the setting of the tinrc variable \fBwildcard\fP.
.TP
.B lines
Match against ''Lines:'', <num matches less than, >num matches more than.
.TP
.B gnksa
Match against ''From:'' address parser return codes. <num matches less than,
>num matches more than the returned numeric value. GNKSA_LOCAL_DOMAIN_LITERAL
or GNKSA_INVALID_DOMAIN are only returned if \fBdisable_gnksa_domain_check\fP
is set to false. As the built in domain list is outdated this should be
considered carefully.
.in +.3i
.nf
.ta \w'%406	'u +\w'GNKSA_ZERO_LENGTH_LOCAL_WORD'u
\fB  0\fP	GNKSA_OK
\fB  1\fP	GNKSA_INTERNAL_ERROR
\fB100\fP	GNKSA_LANGLE_MISSING
\fB101\fP	GNKSA_LPAREN_MISSING
\fB102\fP	GNKSA_RPAREN_MISSING
\fB103\fP	GNKSA_ATSIGN_MISSING
\fB104\fP	GNKSA_RANGLE_MISSING
\fB200\fP	GNKSA_SINGLE_DOMAIN
\fB201\fP	GNKSA_INVALID_DOMAIN
\fB202\fP	GNKSA_ILLEGAL_DOMAIN
\fB203\fP	GNKSA_UNKNOWN_DOMAIN
\fB204\fP	GNKSA_INVALID_FQDN_CHAR
\fB205\fP	GNKSA_ZERO_LENGTH_LABEL
\fB206\fP	GNKSA_ILLEGAL_LABEL_LENGTH
\fB207\fP	GNKSA_ILLEGAL_LABEL_HYPHEN
\fB208\fP	GNKSA_ILLEGAL_LABEL_BEGNUM
\fB209\fP	GNKSA_BAD_DOMAIN_LITERAL
\fB210\fP	GNKSA_LOCAL_DOMAIN_LITERAL
\fB211\fP	GNKSA_RBRACKET_MISSING
\fB300\fP	GNKSA_LOCALPART_MISSING
\fB301\fP	GNKSA_INVALID_LOCALPART
\fB302\fP	GNKSA_ZERO_LENGTH_LOCAL_WORD
\fB400\fP	GNKSA_ILLEGAL_UNQUOTED_CHAR
\fB401\fP	GNKSA_ILLEGAL_QUOTED_CHAR
\fB402\fP	GNKSA_ILLEGAL_ENCODED_CHAR
\fB403\fP	GNKSA_BAD_ENCODE_SYNTAX
\fB404\fP	GNKSA_ILLEGAL_PAREN_CHAR
\fB405\fP	GNKSA_INVALID_REALNAME
\fB406\fP	GNKSA_MISSING_REALNAME
.fi
.in -.3i
.TP
.B xref
Match against ''Xref:'' line. Before any matching is done the line is
turned into the same format ''Newsgroups:'' has that is it is turned
into a comma separated newsgroup list with all other information (i.e.
the article counter) removed. The matching type used (wildmat or regex)
depends on the setting of the tinrc variable \fBwildcard\fP.
.TP
.\" TODO: document option in detail
.B path
Match against ''Path:'' line. This may not work on some servers. The
matching type used (wildmat or regex) depends on the setting of the tinrc
variable \fBwildcard\fP.
.TP
.B time
time_t value when rule expires
.TP
Example:
.RS
.nf
comment=mark all articles about tin, rtin,
comment=tind, ktin or cdtin as hot
group=*
case=1
score=hot
subj=\\b(cd|[rk]?)?tin(d|pre)?[\-.0\-9]*\\b
.fi
.RE
.RE
.PP

.\" TODO: LC_CTYPE has a higher priority as LC_MESSAGES, does this make sense?
.nf
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/keymap${${LC_ALL:\-"${LC_CTYPE:\-"${LC_MESSAGES:\-"$LANG"}"}"}:+".${LC_ALL:\-"${LC_CTYPE:\-"${LC_MESSAGES:\-"$LANG"}"}"}"}
.br
.IR /etc/tin/keymap${${LC_ALL:\-"${LC_CTYPE:\-"${LC_MESSAGES:\-"$LANG"}"}"}:+".${LC_ALL:\-"${LC_CTYPE:\-"${LC_MESSAGES:\-"$LANG"}"}"}"}
.fi
.sp
.RS
Keymap-file, containing "\fIkeyname\fR \fIvalue\fR \fI[value]\fR" pairs
separated by spaces or tabs. If the keymap-file named with full
specified
.BR \%locale (5)
is not found, less specific ones are looked for. Various parts will be
stripped off the name, in the following order codeset, normalized codeset,
territory and modifier when looking for the keymap-file.
Below is a list of all rebindable keynames and their defaults. If a keyname
is bound to NULL it is unassigned.
.sp
.nf
.ta \w'GroupSelThdIfUnreadSelected    'u +\w'SPACE'u +\w'SPACE'u
\fBShellEscape\fP	!
\fBSetRange\fP	#
\fBLastPage\fP	$
\fBToggleColor\fP	&
\fBLastViewed\fP	\-
\fBSearchRepeat\fP	\(rs
\fBSearchSubjF\fP	/
\fBSearchSubjB\fP	?
\fBSearchAuthB\fP	A
\fBSearchBody\fP	B
\fBCatchupNextUnread\fP	C
\fBEditFilter\fP	E
\fBToggleHelpDisplay\fP	H
\fBToggleInverseVideo\fP	I
\fBConnectionInfo\fP	J
\fBLookupMessage\fP	L
\fBOptionMenu\fP	M
\fBPostponed\fP	O	^O
\fBQuitTin\fP	Q
\fBBugReport\fP	R
\fBDisplayPostHist\fP	W
\fBMarkThrUnread\fP	Z
\fBFirstPage\fP	^
\fBSearchAuthF\fP	a
\fBCatchup\fP	c
\fBHelp\fP	h
\fBToggleInfoLastLine\fP	i
\fBDown\fP	j	^N
\fBUp\fP	k	^P
\fBPrint\fP	o
\fBQuit\fP	q
\fBVersion\fP	v
\fBPost\fP	w
\fBMarkArtUnread\fP	z
\fBQuickFilterSelect\fP	[
\fBQuickFilterKill\fP	]
\fBPipe\fP	|
\fBScrollUp\fP	<
\fBScrollDown\fP	>
\fBPageUp\fP	b	^B	^U
\fBPageDown\fP	^D	^F	SPACE
\fBRedrawScr\fP	^L
\fBPostponed\fP	^O
\fBMenuFilterSelect\fP	^A
\fBMenuFilterKill\fP	^K
\fBMarkFeedRead\fP	^X
\fBMarkFeedUnread\fP	^W
.sp
\fBAttachSelect\fP	^J	^M
\fBAttachPipe\fP	p
\fBAttachSave\fP	s
\fBAttachTag\fP	t
\fBAttachUntag\fP	U
\fBAttachTagPattern\fP	=
\fBAttachToggleTagged\fP	@
.sp
\fBConfigToggleAttrib\fP	TAB
\fBConfigSelect\fP	^J	^M
\fBConfigLastPage\fP	G
\fBConfigNoSave\fP	Q
\fBConfigScopeMenu\fP	S
\fBConfigFirstPage\fP	g
\fBConfigResetAttrib\fP	r
.sp
\fBFeedTag\fP	T
\fBFeedArt\fP	a
\fBFeedHot\fP	h
\fBFeedPat\fP	p
\fBFeedRepost\fP	r
\fBFeedSupersede\fP	s
\fBFeedThd\fP	t
.sp
\fBFilterEdit\fP	e
\fBFilterSave\fP	s
.sp
\fBGroupNextUnreadArtOrGrp\fP	TAB
\fBGroupReadBasenote\fP	^J	^M
\fBGroupSelThd\fP	*
\fBGroupDoAutoSel\fP	+
\fBGroupToggleThdSel\fP	.
\fBGroupSelThdIfUnreadSelected\fP	;
\fBGroupSelPattern\fP	=
\fBGroupReverseSel\fP	@
\fBGroupCancel\fP	D
\fBGroupToggleGetartLimit\fP	G
\fBGroupMarkThdRead\fP	K
\fBGroupNextUnreadArt\fP	N
\fBGroupPrevUnreadArt\fP	P
\fBGroupAutoSave\fP	S
\fBGroupTagParts\fP	T
\fBGroupUntag\fP	U
\fBGroupMarkUnselArtRead\fP	X
\fBGroupToggleSubjDisplay\fP	d
\fBGroupGoto\fP	g
\fBGroupListThd\fP	l
\fBGroupMail\fP	m
\fBGroupNextGroup\fP	n
\fBGroupPrevGroup\fP	p
\fBGroupToggleReadUnread\fP	r
\fBGroupSave\fP	s
\fBGroupTag\fP	t
\fBGroupToggleThreading\fP	u
\fBGroupRepost\fP	x
\fBGroupUndoSel\fP	~
.sp
\fBHelpLastPage\fP	G
\fBHelpFirstPage\fP	g
.sp
\fBPageReplyQuoteHeaders\fP	^E
\fBPagePGPCheckArticle\fP	^G
\fBPageToggleRaw\fP	^H
\fBPageNextUnread\fP	TAB
\fBPageNextThd\fP	^J	^M
\fBPageToggleTabs\fP	^T
\fBPageFollowupQuoteHeaders\fP	^W
\fBPageToggleTex2iso\fP	"
\fBPageToggleAllHeaders\fP	*
\fBPageToggleRot\fP	%
\fBPageToggleUue\fP	(
\fBPageReveal\fP	)
\fBPageSkipIncludedText\fP	:
\fBPageTopThd\fP	<
\fBPageBotThd\fP	>
\fBPageCancel\fP	D
\fBPageFollowup\fP	F
\fBPageLastPage\fP	G
\fBPageKillThd\fP	K
\fBPageNextUnreadArt\fP	N
\fBPagePrevUnreadArt\fP	P
\fBPageReply\fP	R
\fBPageAutoSave\fP	S
\fBPageGroupSel\fP	T
\fBPageViewUrl\fP	U
\fBPageViewAttach\fP	V
\fBPageToggleHighlight\fP	_
\fBPageEditArticle\fP	e
\fBPageFollowupQuote\fP	f
\fBPageFirstPage\fP	g
\fBPageListThd\fP	l
\fBPageMail\fP	m
\fBPageNextArt\fP	n
\fBPagePrevArt\fP	p
\fBPageReplyQuote\fP	r
\fBPageSave\fP	s
\fBPageTag\fP	t
\fBPageGotoParent\fP	u
\fBPageRepost\fP	x
.sp
\fBPgpEncSign\fP	b
\fBPgpEncrypt\fP	e
\fBPgpIncludekey\fP	i
\fBPgpSign\fP	s
.sp
\fBPostAbort\fP	a
\fBPostContinue\fP	c
\fBPostCancel\fP	d
\fBPostEdit\fP	e
\fBPostPGP\fP	g
\fBPostIspell\fP	i
\fBPostIgnore\fP	i
\fBPostMail\fP	m
\fBPostPostpone\fP	o
\fBPostPost\fP	p	y
\fBPostSupersede\fP	s
\fBPostSend\fP	s	y
.sp
\fBPostedArticlesSelect\fP	^J	^M
.sp
\fBPostponeOverride\fP	Y
\fBPostponeAll\fP	A
.sp
\fBPromptYes\fP	y	Y
\fBPromptNo\fP	n	N
.sp
\fBPProcNone\fP	n
\fBPProcShar\fP	s
\fBPProcYes\fP	y
.sp
\fBSaveAppendFile\fP	a
\fBSaveOverwriteFile\fP	o
.sp
\fBSelectEnterNextUnreadGrp\fP	TAB	n
\fBSelectReadGrp\fP	^J	^M
\fBSelectResetNewsrc\fP	^R
\fBSelectSortActive\fP	.
\fBSelectNextUnreadGrp\fP	N
\fBSelectSubscribePat\fP	S
\fBSelectUnsubscribePat\fP	U
\fBSelectQuitNoWrite\fP	X
\fBSelectSyncWithActive\fP	Y
\fBSelectToggleDescriptions\fP	d
\fBSelectGoto\fP	g
\fBSelectMoveGrp\fP	m
\fBSelectToggleReadDisplay\fP	r
\fBSelectSubscribe\fP	s
\fBSelectUnsubscribe\fP	u
\fBSelectYankActive\fP	y
\fBSelectMarkGrpUnread\fP	z	Z
.sp
\fBScopeSelect\fP	^J	^M
\fBScopeEditAttributesFile\fP	E
\fBScopeAdd\fP	a
\fBScopeDelete\fP	d
\fBScopeMove\fP	m
\fBScopeRename\fP	r
.sp
\fBThreadReadNextArtOrThread\fP	TAB
\fBThreadReadArt\fP	^J	^M
\fBThreadSelArt\fP	*
\fBThreadToggleArtSel\fP	.
\fBThreadReverseSel\fP	@
\fBThreadCancel\fP	D
\fBThreadMarkArtRead\fP	K
\fBThreadAutoSave\fP	S
\fBThreadUntag\fP	U
\fBThreadToggleSubjDisplay\fP	d
\fBThreadMail\fP	m
\fBThreadSave\fP	s
\fBThreadTag\fP	t
\fBThreadTagParts\fP	T
\fBThreadUndoSel\fP	~
.sp
\fBUrlSelect\fP	^J	^M
.fi
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/mailgroups
.sp
.RS
This file provides short descriptions of each mailgroup. (requires
.BR \%tin (1)
to be build with mh-mail-handling support). Each line consist of two
tab-separated fields "\fImailgroupname\fR \fIone-line description\fR".
.TP
.B mailgroupname
is the name of the newsgroup
.TP
.B description
is a short single-line description of the group
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/newsrctable
.sp
.RS
"\fInntpserver\fR \fInewsrc\fR [\fIshortname\fR [\fI...\fR]]"
pairs to use with the ''\fB\-g\fP'' command-line switch. The matching is
case-insensitive and any line that starts with "#", ";" or " " is treated
as a comment.
.TP
.B nntpserver
full qualified domain name of the news server. The string "default" or "*"
acts as wildcard to match any name, such a line should be placed last.
.TP
.B newsrc
related newsrc.
.TP
.B shortname
nickname(s) for the nntpserver.
.TP
Example:
.RS
# sample newsrctable file
.br
news.tin.org .newsrc\-tin.org tinorg
.br
news.example.org /tmp/nrc\-ex example ex
.br
* ~/.tin/newsrcs/${NNTPSERVER-localhost}
.RE
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/posted
.sp
.RS
Posting history. The file is written by
.BR \%tin (1)
and used by \fBDisplayPostHist\fP ('\fBW\fP') command. It should not be
altered manually. Any line that starts with "#" is a comment. Blank lines
are ignored. All other lines shall consist of at least four pipe-separated
fields, starting with a time stamp "dd-mm-yy", a single letter indicating
the action which initiated the message, a group name or a mail address the
message was sent to, the subject of the message and optionally the
messages ''Message\-ID'' if known.
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/Mail/posted
.sp
.RS
Copy of all posted articles in
.BR \%mbox (5)
format. The filename can be changed by setting
\fBposted_articles_file\fP.
.RE
.PP

.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/postponed.articles
.sp
.RS
Pool of postponed articles. This file is in
.BR \%mbox (5)
format.
.RE
.PP

.nf
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/$NNTPSERVER${NNTPPORT:+":$NNTPPORT"}/newsgroups
.fi
.sp
.RS
This file a copy of the servers newsgroups file which provides short
descriptions of each newsgroup. It is automatically updated on startup
except when using the ''\fB\-X\fP''or ''\fB\-q\fP'' command-line option and
an old copy exists. Each line consist of two tab-separated fields
"\fIgroup.name\fR	\fIone-line description\fR".
.TP
.B group.name
is the name of the newsgroup
.TP
.B one-line description
is a short single-line description of the group
.RE
.PP

.nf
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/$NNTPSERVER${NNTPPORT:+":$NNTPPORT"}/serverrc
.fi
.sp
.RS
File to store $\fBNNTPSERVER\fP and $\fBNNTPPORT\fP related
data via a list of "\fIvariable\fR=\fIvalue\fR" pairs. Currently
there are only two variables, both are not meant to be changed by the
user.
.TP
.B version
Internal version number.
.TP
.B last_newnews
Internal timestamp used by
.BR \%tin (1)
to keep track of new newsgroups on the server.
.RE
.PP

.nf
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/$NNTPSERVER${NNTPPORT:+":$NNTPPORT"}/msglog
.fi
.sp
.RS
File to store $\fBNNTPSERVER\fP and $\fBNNTPPORT\fP related info- and
error-messages. The file is overwritten on startup and meant for debugging.
.RE
.PP

.\" tin uses inns old (pre 2.x) Path convention.
.\" as with inn >= 2.2.x getting more and more popular
.\" we should think about checking for the new Paths (/news/etc/)
.\" .IR ${TIN_LIBDIR\-"/news/etc"}/tinrc
.IR /etc/tin/tinrc
.br
.IR ${TIN_HOMEDIR:\-"$HOME"}/.tin/tinrc
.sp
.RS
At startup,
.BR \%tin (1)
reads in the configuration file. This contains a list of
"\fIvariable\fR=\fIvalue\fR" pairs that can be used to configure the way
.BR \%tin (1)
works. If it exists, the global configuration file,
\fI${TIN_LIBDIR:\-NEWSLIBDIR}/tinrc\fR is read first. After that, the
user's own configuration file \fI${TIN_HOMEDIR:\-"$HOME"}/.tin/tinrc\fR is
read. The global file is useful for distributing system-wide defaults to new
users who have no private tinrc yet (see also \fB/etc/tin/tin.defaults\fP).
.TP
.B abbreviate_groupname
If ON abbreviate long newsgroup names at group selection level and article
level (if necessary) like this:
news.software.readers \-> n.software.readers \-> n.s.readers \-> n.s.r.
Default is OFF.
.TP
.B add_posted_to_filter
If ON add posted articles which start a new thread to filter for
highlighting follow-ups. Default is ON.
.TP
.B advertising
Turn ON advertising in header (''User\-Agent:''). Default is ON.
.TP
.B alternative_handling
If ON strip multipart/alternative messages automatically. Default is ON.
.TP
.B art_marked_deleted
The character used to show that an article was deleted. Default is 'D'.
.TP
.B art_marked_inrange
The character used to show that an article is in a range. Default is '#'.
.TP
.B art_marked_return
The character used to show that an article will return as an unread article
when the group is next entered. Default is '\-'.
.TP
.B art_marked_selected
The character used to show that an article/thread is auto-selected (hot).
Default is '*'.
.TP
.B art_marked_recent
The character used to show that an article/thread is recent (not older than
X days). See also \fBrecent_time\fP. Default is 'o'.
.TP
.B art_marked_unread
The character used to show that an article has not been read.
Default is '+'.
.TP
.B art_marked_read
The character used to show that an article was read. Default is ' '.
.TP
.B art_marked_killed
The character used to show that an article was killed. Default is 'K'.
\fBkill_level\fP must be set accordingly.
.TP
.B art_marked_read_selected
The character used to show that an article was hot before it was read.
Default is ':'. \fBkill_level\fP must be set accordingly.
.TP
.B Ask before using MIME viewer (ask_for_metamail)
If ON
.BR \%tin (1)
will ask before using a MIME viewer (\fBmetamail_prog\fP) to display
MIME messages. This only occurs if a MIME viewer is set. Default is
OFF.
.TP
.B auto_cc_bcc
Automatically put your name in the ''Cc:'' and/or ''Bcc:'' field when
mailing an article. Default is No.
.TP
.B auto_list_thread
If ON automatically list thread when entering it using right arrow key.
Default is ON.
.TP
.B auto_reconnect
Reconnect to server automatically. Default is OFF.
.TP
.B batch_save
If set ON articles/threads will be saved in batch mode when save
\&''\fB\-S\fP'' or mail ''\fB\-M\fP, \fB\-N\fP'' is specified on the command
line. Default is ON.
.TP
.B beginner_level
If set ON a mini menu of the most useful commands will be displayed at the
bottom of the screen for each level. Also a short posting etiquette will be
displayed after composing an article. Default is ON.
.TP
.B cache_overview_files
If ON, create local copies of NNTP overview files. This can be used to
considerably speed up accessing large groups when using a slow connection.
Default is OFF.
.TP
.B cancel_lock_algo
Use this hash algorithm for cancel-locks. Only available when build with
cancel-lock support. none disables the generation of cancel-locks. Valid
values are none, sha1, sha256 and sha512.
Default is sha1.
.TP
.B catchup_read_groups
If set ON the user is asked when quitting if all groups read during the
current session should be marked read. Default is OFF.
.TP
.B col_back
Standard background color
.TP
.B col_extquote
Color of quoted text from external sources
.TP
.B col_from
Color of sender (From:)
.TP
.B col_head
Color of header-lines
.TP
.B col_help
Color of help pages
.TP
.B col_invers_bg
Color of background for inverse text
.TP
.B col_invers_fg
Color of foreground for inverse text
.TP
.B col_markdash
Color of words emphasized like _this_. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B col_markslash
Color of words emphasized like /this/. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B col_markstar
Color of words emphasized like *this*. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B col_markstroke
Color of words emphasized like \-this\-. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B col_message
Color of status messages in last line
.TP
.B col_minihelp
Color of mini help menu
.TP
.B col_newsheaders
Color of actual news header fields
.TP
.B col_normal
Standard foreground color
.TP
.B col_quote
Color of quoted lines
.TP
.B col_quote2
Color of twice quoted lines
.TP
.B col_quote3
Color of >=3 times quoted lines
.TP
.B col_response
Color of response counter. This is the text that says "Response x of y"
in the article viewer.
.TP
.B col_signature
Color of signatures
.TP
.B col_urls
Color of urls highlight
.TP
.B col_verbatim
Color of verbatim blocks
.TP
.B col_subject
Color of article subject
.TP
.B col_text
Color of text-lines
.TP
.B col_title
Color of help/mail sign
.TP
.B confirm_choice
.BR \%tin (1)
can ask for manual confirmation to protect the user. Available choices:
.in +.5i
.BR commands :
Ask for confirmation before executing certain dangerous commands (e.g.,
\fBCatchup\fP ('\fBc\fP')). Commands that this affects are marked in
this manual with '[after confirmation]'.
.\" TODO: check if all affected commands are marked [after confirmation]
.sp
.BR quit :
You'll be asked to confirm that you wish to exit
.BR \%tin (1)
when you use the \fBQuit\fP ('\fBq\fP') command.
.sp
.BR select :
Ask for confirmation before marking all not selected (with
\fBGroupMarkUnselArtRead\fP ('\fBX\fP') command) articles as read.
.in -.5i
Default is commands & quit.
.TP
.B date_format
Format string
used for date representation. A description of the different format options
can be found at
.BR \%strftime (3).
.BR \%tin (1)
uses
.BR \%strftime (3)
when available and supports most format options in his fallback code.
Default is "%a, %d %b %Y %H:%M:%S".
.TP
.B default_art_search
.TP
.B default_author_search
.TP
.B default_config_search
The last article/author/config option that was searched for.
.TP
.B default_filter_days
Default is 28.
.TP
.B default_filter_kill_case
Default for quick (1 key) kill filter case.
ON = filter case sensitive, OFF = ignore case. Default is OFF.
.TP
.B default_filter_kill_expire
Default for quick (1 key) kill filter expire.
ON = limit to \fBdefault_filter_days\fP, OFF = don't ever expire. Default
is OFF.
.TP
.B default_filter_kill_global
Default for quick (1 key) kill filter global.
ON=apply to all groups, OFF=apply to current group. Default is ON.
.TP
.B default_filter_kill_header
Default for quick (1 key) kill filter header.
.in +.3i
.nf
.ta \w'0,1   'u +\w'\'\'Message\-ID:\'\' & last \'\'References:\'\' entry only'u
0	''Subject:'' (case sensitive)
1	''Subject:'' (ignore case)
2	''From:'' (case sensitive)
3	''From:'' (ignore case)
4	''Message\-ID:'' & full ''References:'' line
5	''Message\-ID:'' & last ''References:'' entry only
6	''Message\-ID:'' entry only
7	''Lines:''
.fi
.in -.3i
.TP
.B default_filter_select_case
Default for quick (1 key) auto-selection filter case. ON=filter case
sensitive, OFF=ignore case. Default is OFF.
.TP
.B default_filter_select_expire
Default for quick (1 key) auto-selection filter expire.
ON = limit to \fBdefault_filter_days\fP, OFF = don't ever expire.
Default is OFF.
.TP
.B default_filter_select_global
Default for quick (1 key) auto-selection filter global.
ON=apply to all groups, OFF=apply to current group. Default is ON.
.TP
.B default_filter_select_header
Default for quick (1 key) auto-selection filter header.
.in +.3i
.nf
.ta \w'0,1   'u +\w'\'\'Message\-ID:\'\' & last \'\'References:\'\' entry only'u
0	''Subject:'' (case sensitive)
1	''Subject:'' (ignore case)
2	''From:'' (case sensitive)
3	''From:'' (ignore case)
4	''Message\-ID:'' & full ''References:'' line
5	''Message\-ID:'' & last ''References:'' entry only
6	''Message\-ID:'' entry only
7	''Lines:''
.fi
.in -.3i
.TP
.B default_goto_group
.TP
.B default_group_search
.TP
.B default_mail_address
.TP
.B default_move_group
.TP
.B default_pattern
.TP
.B default_pipe_command
.TP
.B default_post_newsgroups
.TP
.B default_post_subject
.TP
.B default_range_group
.TP
.B default_range_select
.TP
.B default_range_thread
.TP
.B default_repost_group
.TP
.B default_save_file
.TP
.B default_save_mode
.TP
.B default_select_pattern
.TP
.B default_shell_command
.TP
.B default_subject_search
.TP
.B draw_arrow
Allows groups/articles to be selected by an arrow '\->' if set ON or
by a highlighted bar if set OFF. Default is OFF.
.TP
.B editor_format
The format string used to create the editor start command with parameters.
Default is '%E +%N %F' with %E=Editor, %N=Linenumber and %F=Filename
(e.g., /bin/vi +7 .article). See also $\fBVISUAL\fP and $\fBEDITOR\fP
under "ENVIRONMENT" in
.BR \%tin (1)
.TP
.B extquote_handling
If ON quotes from external sources will be detected. Default is OFF.
.TP
.B extquote_regex
A regular expression that will be applied when reading articles. All
matching lines are shown in \fBcol_extquote\fP. If \fBextquote_regex\fP is
blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B force_screen_redraw
Specifies whether a screen redraw should always be done after certain
external commands. Default is OFF.
.TP
.B getart_limit
If \fBgetart_limit\fP is > 0 not more than the last \fBgetart_limit\fP
articles/group are fetched from the server. If \fBgetart_limit\fP is < 0
.BR \%tin (1)
will start fetching articles from your first unread minus absolute value of
\fBgetart_limit\fP. Default is 0, which means no limit.
.TP
.B goto_next_unread
Which keys
.BR \%tin (1)
should accept to jump to the next unread article.
Possible is any combination of \fBPageDown\fP and \fBPageNextUnread\fP.
When \fBPageDown\fP is set
.BR \%tin (1)
jumps to the next article at the
end of the current one. When \fBPageNextUnread\fP is set
.BR \%tin (1)
jumps
immediately to the next article when \fBPageNextUnread\fP ('\fB<TAB>\fP')
is pressed. Default is \fBPageNextUnread\fP.
.TP
.B group_catchup_on_exit
If ON catchup group when leaving with the left arrow key. Default is ON.
.TP
.B group_format
The format string used for the Group level. Default is
"%n\ %m\ %R\ %L\ \ %s\ \ %F". The following substitutions are supported:
.in +.3i
.nf
.ta \w'%G    'u +\w'number of responses in thread'u
%D	date
%F	from, name and/or address
%I	initials
%L	line count
%M	message-id
%R	number of responses in thread
%S	score
%m	article marks
%n	current thread number
%s	subject
%%	%
.fi
.in -.3i
.TP
.B hide_uue
If set to 'No' then raw uuencoded data is displayed. If set to 'Yes'
then sections of uuencoded data will be shown with a single tag line
showing the size and filename (much the same as a MIME attachment).
If set to 'Hide all' then any line that looks like uuencoded data
will be folded into a tag line. This is useful when uuencoded data is
split across more than one article but can also lead to false
positives. This setting can also be toggled in the article viewer.
Default is 'No'.
.TP
.B inews_prog
Path, name and options of external
.BR \%inews (1).
If you are reading via NNTP the default value is "\-\-internal" (use
built-in NNTP inews), else it is "inews \-h". The article is passed to
\fBinews_prog\fP on STDIN via '< article'.
.TP
.B info_in_last_line
If ON, show current group description or article subject in the last line
(not in the pager and global menu) \(em \fBToggleInfoLastLine\fP ('\fBi\fP')
toggles setting. This facility is useful as the full width of the screen is
available to display long subjects. Default is OFF.
.TP
.B interactive_mailer
If greater than 0 your mailreader will be invoked earlier for reply so you
can use more of its features (e.g. MIME, pgp, ...). 1 means include headers,
2 means don't include headers (old use_mailreader_i=ON option). 0 turns off
usage. This option has to suit \fBmailer_format\fP. Default is 0.
.TP
.B inverse_okay
If ON use inverse video for page headers and URL highlighting.
Default is ON.
.TP
.B keep_dead_articles
If ON keep all failed postings in \fI${TIN_HOMEDIR:\-"$HOME"}/dead.articles\fR
besides keeping the last failed posting in
\fI${TIN_HOMEDIR:\-"$HOME"}/dead.article\fR. Default is ON.
.TP
.B kill_level
This option controls the processing and display of articles that are
killed. There are 3 options, default is 0 (\fBKill only unread arts\fP).
.RS +1i
.IP 0 3
\fBKill only unread arts\fP is the 'traditional' behavior of
.BR \%tin (1).
Only unread articles are killed once only by marking them read. As
filtering only happens on unread articles with \fBkill_level\fP set
to 0, \fBart_marked_killed\fP and \fBart_marked_read_selected\fP are
only shown once. When you reenter the group the mark will be gone.
.IP 1
\fBKill all arts & show with K\fP will process all articles in the
group and therefore there is a processing overhead when using this
option. Killed articles are threaded as normal but they will be
marked with \fBart_marked_killed\fP.
.IP 2
\fBKill all arts and never show\fP will process all articles in the
group and therefore there is a processing overhead when using this
option. Killed articles simply does not get displayed at all.
.RE
.TP
.B mail_8bit_header
Allows 8bit characters unencoded in the header of mail message. Default is
OFF. Turning it ON is effective only if \fBmail_mime_encoding\fP is also set
to 8bit. Leaving it OFF is safe for most users and compliant to Internet
Mail Standard (\fBRFC\%5322\fP and \fBRFC\%2047\fP). Default is OFF.
.TP
.B mail_address
User's mail address (and full name), if not username@host. This is used when
creating articles, sending mail and when
.BR \%pgp (1)
signing.
.TP
.B mail_mime_encoding
MIME encoding of the body in mail message, if necessary (8bit, base64,
quoted\-printable, 7bit). Default is quoted\-printable.
.TP
.B mail_quote_format
Format of quote line when replying (via mail) to an article (%A=Address,
%D=Date, %F=Fullname+Address, %G=Groupname, %M=Message\-ID, %N=Fullname,
%C=Firstname, %I=Initials). Default is "In article %M you wrote:"
.TP
.B mailbox_format
Select one of the following mailbox-formats: MBOXO (default, except on SCO),
MBOXRD or MMDF (default on SCO). See
.BR \%mbox (5)
and
.BR RFC\%4155
for more details on MBOXO and MBOXRD and
.BR \%mmdf (5)
for more details about MMDF.
.TP
.B maildir
The directory where articles/threads are to be saved in
.BR \%mbox (5)
format. This feature is mainly for use with the
.BR \%mutt (1)
mail program. It allows the user to save articles/threads/groups simply by
giving '=' as the filename to save to.
Default is \fI${TIN_HOMEDIR:\-"$HOME"}/Mail\fR.
.TP
.B mailer_format
The format string used to create the mailer command with parameters that is
used for mailing articles to other people. Default is '%M "%T" < %F' (e.g.,
/bin/mail "iain" < ~/.article). The flexible format allows other mailers with
different command line parameters to be used such as
.in +.3i
.nf
sendmail \-oem \-t < %F
mutt \-s "%S" \-\- "%T" < %F
mutt \-H %F
claws-mail \-\-compose "mailto:%T?subject=%S&insert=%F"
.fi
.in -.3i
\fBinteractive_mailer\fP must be set adequate. The following substitutions
are supported:
.in +.3i
.nf
.ta \w'%S'u +\w'default_mailer'u
%F	filename
%M	default_mailer
%S	subject-field
%T	to-filed
%U	username
%%	%
.fi
.in -.3i
.TP
.B mark_saved_read
If ON mark articles that are saved as read. Default is ON.
.TP
.B mark_ignore_tags
When this is ON, the \fBGroupMarkThdRead\fP ('\fBK\fP'),
\fBThreadMarkArtRead\fP ('\fBK\fP'), \fBMarkThdUnread\fP ('\fBZ\fP') at
Group level and \fBMarkArtUnread\fP ('\fBz\fP') at Thread level functions
mark just the current article or thread, ignoring other tagged, (un)read
articles. When OFF, the same function presents a menu with choices of the
current thread or article, all tagged, unread articles, or nothing.
.TP
.B metamail_prog
Path, name and options of external
.BR \%metamail (1)
program used to view non-textual parts of articles.
To use the built-in viewer, set to \-\-internal. This is the default
value when
.BR \%metamail (1)
is not installed. Leave it blank if you don't want any automatic
viewing of non-textual attachments. The \fBPageViewAttach\fP ('\fBV\fP')
command can always be used to manually view any attachments. See also
\fBask_for_metamail\fP.
.TP
.B mm_charset
Charset supported locally, which is also used for MIME header
(charset parameter and charset name in header encoding) in mail and
news postings. If \fBMIME_STRICT_CHARSET\fP is defined at compile
time, text in charset other than the value of this parameter is
considered not displayable and represented as '?'. Otherwise, all
character sets are regarded as compatible with the display. If it's
not set, the value of the environment variable $\fBMM_CHARSET\fP is
used. US-ASCII or compile-time default is used in case neither of
them is defined. If your system supports
.BR \%iconv (3),
this option is disabled and you should use \fBmm_network_charset\fP instead.
.TP
.B mm_network_charset
Charset used for posting and MIME headers; replaces \fBmm_charset\fP.
Conversion between \fBmm_network_charset\fP and local charset (determined
via
.BR \%nl_langinfo (3))
is done via
.BR \%iconv (3),
if this function is not available on your system this option is disabled and
you have to use \fBmm_charset\fP instead. \fBmm_network_charset\fP is
limited to one of the following charsets:
.in +.3i
US-ASCII, ISO-8859-{1,2,3,4,5,7,9,10,13,14,15,16}, KOI8-{R,U,RU}
EUC-{CN,JP,KR,TW}, ISO-2022-{CN,CN-EXT,JP,JP-1,JP-2}, Big5, UTF-8
.in -.3i
Not all values might work on your system, see
.BR \%iconv_open (3)
for more details. If it's not set, the value of the environment variable
$\fBMM_CHARSET\fP is used. US-ASCII or compile-time default is used in case
neither of them is defined.
.TP
.B mono_markdash
Character attribute of words emphasized like _this_. It depends on your
terminal which attributes are usable. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B mono_markslash
Character attribute of words emphasized like /this/. It depends on your
terminal which attributes are usable. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B mono_markstar
Character attribute of words emphasized like *this*. It depends on your
terminal which attributes are usable. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B mono_markstroke
Character attribute of words emphasized like \-this\-. It depends on your
terminal which attributes are usable. See also \fBword_h_display_marks\fP
and \fBword_highlight\fP.
.TP
.B newnews
These are internal timers used by
.BR \%tin (1)
to keep track of new newsgroups. Do not change them unless you understand
what they are for.
.TP
.B news_headers_to_display
Which news headers you wish to see. If you want to see _all_ the headers,
place an '*' as this value. This is the only way a wildcard can be used.
If you enter 'X\-' as the value, you will see all headers beginning
with 'X\-' (like X\-Alan or X\-Pape). You can list more than one by delimiting
with spaces. Not defining anything turns off this option.
.TP
.B news_headers_to_not_display
Same as \fBnews_headers_to_display\fP except it denotes the opposite. An
example of using both options might be if you thought 'X\-' headers were A
Good Thing(tm), but thought Alan and Pape were miscreants... well then you
would do something like this:
\fBnews_headers_to_display=X\-\fP
\fBnews_headers_to_not_display=X\-Alan X\-Pape\fP
Not defining anything turns off this option.
.TP
.B news_quote_format
Format of quote line when posting/following up an article (%A=Address,
%D=Date, %F=Fullname+Address, %G=Groupname, %M=Message\-ID, %N=Fullname,
%C=Firstname, %I=Initials). Default is "%F wrote:".
.TP
.B nntp_read_timeout_secs
Time in seconds to wait for a response from the server. Default is 120.
.TP
.B normalization_form
The normalization form which should be used to normalize unicode input.
The possible values are:
.RS +1i
.IP 0 3
\fBNone\fP: no normalization
.IP 1
\fBNFKC\fP: Compatibility Decomposition, followed by Canonical Composition
.IP 2
\fBNFKD\fP: Compatibility Decomposition
.IP 3
\fBNFC\fP: Canonical Decomposition, followed by Canonical Composition
.IP 4
\fBNFD\fP: Canonical Decomposition
.IP 5
\fBNFKC_CF\fP: Compatibility Decomposition, followed by Canonical Composition and Case Folding
.RE
Some normalization modes are only available if they are supported by the
library
.BR \%tin (1)
uses to do the normalization. NFC should be used if possible.
.TP
.B pos_first_unread
If ON put cursor at first unread article in group otherwise at last
article. Default is ON.
.TP
.B post_8bit_header
Allows 8bit characters unencoded in the header of a news article, if
set this also disables the generation of MIME-headers when they are
usually required. Default is OFF. Only enacted if
\fBpost_mime_encoding\fP is also set to 8bit. In a number of local
hierarchies where 8bit characters are used, using unencoded (raw)
8bit characters in header is acceptable and sometimes even
recommended so that you need to check the convention adopted in the
local hierarchy of your interest to determine what to do with this
and \fBpost_mime_encoding\fP.
.TP
.B post_mime_encoding
MIME encoding of the body in news message, if necessary. (8bit, base64,
quoted\-printable, 7bit). Default is 8bit, which leads to no encoding.
base64 and quoted\-printable are usually undesired on usenet.
.TP
.B post_process_view
If ON, then
.BR \%tin (1)
will start an appropriate viewer program to display any files that were post
processed and uudecoded. The program is determined using the
.BR \%mailcap (5)
file. Default is ON.
.TP
.B post_process_type
This specifies whether to perform post processing on saved articles.
Because the shell archive may contain commands you may not want to
be executed, be careful when extracting shell archives.
The following values are allowed:
.RS +1i
.IP 0 3
\fBNo\fP (default), no post processing is done.
.IP 1
\fBShell archives\fP, unpacking of multi-part
.BR \%shar (1)
files only.
.IP 2
\fBYes\fP, binary attachments and data will be decoded and saved.
.RE
.TP
.B posted_articles_file
Keep posted articles in given file. If the given filename does not contain
any expandable strings it will be prefixed with
\fI${TIN_HOMEDIR:\-"$HOME"}/Mail/\fP. If no filename is set then postings
will not be saved. See the section "MAILING PIPING PRINTING
REPOSTING AND SAVING ARTICLES" for more information about the various
expansion characters. Default is 'posted'.
.TP
.B print_header
If ON, then the full article header is sent to the printer. Otherwise only
the ''Subject:'' and ''From:'' fields are output. Default is OFF.
.TP
.B printer
The printer program with options that is to be used to print articles. The
default is
.BR \%lpr (1)
for BSD machines and
.BR \%lp (1)
for SysV machines. Printing from
.BR \%tin (1)
may have been disabled by the System Administrator.
.TP
.B process_only_unread
If ON only save/print/pipe/mail unread articles (tagged articles excepted).
Default is OFF.
.TP
.B prompt_followupto
If ON show empty ''Followup\-To:'' header when editing an article.
Default is OFF.
.TP
.B quote_chars
The character used in quoting included text to article followups and mail
replies. The '_' character represents a blank character and is replaced
with ' ' when read, %I is replaced by author's initials. Default is '>_'.
.TP
.B quote_style
This bit coded integer value controls how articles are to be quoted when
following up or replying to them. Any of the following options can be
combined by adding all relevant values. Default is 5, which means that quote
characters are compressed and empty lines are quoted.
.RS +1i
.IP 1 3
\fBCompress quotes\fP Compress quote characters together when quoting
multiple times (for example, '> > >' will be turned into '>>>'). This
option is on by default.
.IP 2
\fBQuote Signatures\fP This option is off by default. Signatures are
always quoted regardless of this option when you are viewing an article
in raw mode \fBPageToggleRaw\fP ('\fB^H\fP') and followup or reply
to it. Signatures are never quoted regardless of this option when
\fBshow_signatures\fP is off.
.IP 4
\fBQuote empty lines\fP This option is on by default.
.RE
.TP
.B quote_regex
A regular expression that will be applied when reading articles. All
matching lines are shown in \fBcol_quote\fP. If \fBquote_regex\fP is blank,
then
.BR \%tin (1)
uses a built-in default.
.TP
.B quote_regex2
A regular expression that will be applied when reading articles. All
matching lines are shown in \fBcol_quote2\fP. If \fBquote_regex2\fP is
blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B quote_regex3
A regular expression that will be applied when reading articles. All
matching lines are shown in \fBcol_quote3\fP. If \fBquote_regex3\fP is blank,
then
.BR \%tin (1)
uses a built-in default.
.TP
.B recent_time
If set to 0, this feature is deactivated, otherwise it means the number of
days. Default is 2.
.TP
.B render_bidi
If ON
.BR \%tin (1)
does the rendering of bi-directional text. If OFF
.BR \%tin (1)
leaves the rendering of bi-directional text to the terminal. Default is OFF.
.TP
.B reread_active_file_secs
The news \fI${TIN_LIBDIR:\-NEWSLIBDIR}"/"${TIN_ACTIVEFILE:\-active}\fR file
is reread at regular intervals to show if any new news has arrived. Default
is 1200. Setting this to 0 will disable this feature.
.TP
.B savedir
Directory where articles/threads are saved. Default is
\fI${TIN_HOMEDIR:\-"$HOME"}/News\fR.
.TP
.B score_limit_kill
If the score of an article is below or equal this value the article gets
marked as killed.
.TP
.B score_limit_select
If the score of an article is above or equal this value the article gets
marked as hot.
.TP
.B score_kill
Score of an article which should be killed, this must be <=
\fBscore_limit_kill\fP.
.TP
.B score_select
Score of an article which should be marked hot, this must be >=
\fBscore_limit_select\fP.
.TP
.B scroll_lines
The number of lines that will be scrolled up/down in the article pager when
using cursor-up/down. The default is 1 (line-by-line). Set to 0 to get
traditional \fBtin\fP page-by-page scrolling. Set to \-1 to get page-by-page
scrolling where the top/bottom line is carried over onto the next page.
This setting supersedes show_last_line_prev_page=ON. Set to \-2 to get
half-page scrolling. This setting supersedes \fBfull_page_scroll\fP=OFF.
.TP
.B select_format
The format string used for the Selection level. Default is
"%f\ %n\ %U\ \ %G\ \ %d". The following substitutions are supported:
.in +.3i
.nf
.ta \w'%G    'u +\w'current group number'u
%G	group name
%U	unread count
%d	description
%f	group flag
%n	current group number
%%	%
.fi
.in -.3i
.TP
.B sort_function
Function used for sorting articles. Default is 0.
.RS +.5i
.IP 0 3
Use
.BR \%qsort (3)
for sorting.
.IP 1
Use
.BR \%heapsort (3)
for sorting. This might be faster in large groups with long threads
(somewhat presorted data).
.RE
.TP
.B show_author
Which information about the author should be shown. Default is 2, authors
full name.
.RS +1i
.IP 0 3
\fBNone\fP, only the ''Subject:'' line will be displayed.
.IP 1
\fBAddress\fP, ''Subject:'' line & the address part of the ''From:'' line
are displayed.
.IP 2
\fBFull Name\fP, ''Subject:'' line & the authors full name part of the
\&''From:'' line are displayed (default).
.IP 3
\fBAddress and Name\fP, ''Subject:'' line & all of the ''From:'' line are
displayed.
.RE
.TP
.B show_description
If ON show a short group description text after newsgroup name at the group
selection level. The ''\fB\-d\fP'' command-line flag will override the
setting and turn descriptions off. The text used is taken from the
\fI${TIN_LIBDIR:\-NEWSLIBDIR}/newsgroups\fR file and if supported (requires
.BR \%tin (1)
to be build with mh-mail-handling support) from
\fI${TIN_HOMEDIR:\-"$HOME"}/.tin/mailgroups\fR for mailgroups. Default is ON.
.TP
.B show_help_mail_sign
Allows you to select whether
.BR \%tin (1)
shows a help indication, a new mail indication, both, or neither in the
various level titles.
Default is 3.
.RS +1i
.IP 0 3
\fBDon't show help or mail sign\fP.
.IP 1
\fBShow only help sign\fP.
.IP 2
\fBShow only mail sign if new mail\fP, show only the mail sign, and only if
new mail has arrived.
.IP 3
\fBShow mail if new mail else help s.\fP, show mail sign if new mail has
arrived otherwise show help sign.
.RE
.TP
.B show_info
Which information about the thread or article should be shown. Default is 1,
show only the line count.
.RS +1i
.IP 0 3
\fBNone\fP, no information will be displayed.
.IP 1
\fBLines\fP, in article listing the line count of an article will be
displayed and in thread listing the line count of first (unread) article
will be displayed.
.IP 2
\fBScore\fP, in article listing the score of an article will be displayed
and in thread listing the score of the thread will be displayed \(em see also
\fBthread_score\fP.
.IP 3
\fBLines & Score\fP, display line count and score.
.RE
.TP
.B show_only_unread_arts
If ON show only new/unread articles otherwise show all articles.
Default is ON.
.TP
.B show_only_unread_groups
If ON show only subscribed groups that contain unread articles. Default
is OFF.
.TP
.B show_signatures
If OFF don't show signatures when displaying articles. Default is ON.
.TP
.B sigdashes
If ON prepend the signature with sigdashes. Default is ON.
.TP
.B sigfile
The path that specifies the signature file to use when posting, following
up to or replying to an article. If the path is a directory then the
signature will be randomly generated from files that are in the specified
directory. If the path starts with a ! the program the path points to will
be executed to generate a signature. In order to pass the group name to the
program, %G can be specified. This will be replaced by the name of the
current newsgroup. \-\-none will suppress any signature.
Default is \fI${TIN_HOMEDIR:\-"$HOME"}/.Sig\fR.
.TP
.B signature_repost
If ON add signature to reposted articles. Default is ON.
.TP
.B slashes_regex
A regular expression that will be applied when reading articles. All
matching words are shown in \fBcol_markslash\fP or \fBmono_markslash\fP. If
\fBslashes_regex\fP is blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B sort_article_type
This specifies how articles should be sorted. Sort by ascending Date (6) is
the default. The following sort types are allowed:
.RS +1i
.IP 0 3
\fBNothing\fP, don't sort articles.
.IP 1
\fBSubject: (descending)\fP, sort articles by ''Subject:'' field descending.
.IP 2
\fBSubject: (ascending)\fP, sort articles by ''Subject:'' field ascending.
.IP 3
\fBFrom: (descending)\fP, sort articles by ''From:'' field descending.
.IP 4
\fBFrom: (ascending)\fP, sort articles by ''From:'' field ascending.
.IP 5
\fBDate: (descending)\fP, sort articles by ''Date:'' field descending.
.IP 6
\fBDate: (ascending)\fP, sort articles by ''Date:'' field ascending
(default).
.IP 7
\fBScore (descending)\fP, sort articles by filtering score descending.
.IP 8
\fBScore (ascending)\fP, sort articles by filtering score ascending.
.IP 9
\fBLines: (descending)\fP, sort articles by ''Lines:'' field descending.
.IP 10
\fBLines: (ascending)\fP, sort articles by ''Lines:'' field ascending.
.RE
.TP
.B sort_threads_type
This specifies how threads will be sorted. Sort by descending Score (1) is
the default. The following sort types are allowed:
.RS +1i
.IP 0 3
\fBNothing\fP, don't sort threads.
.IP 1
\fBScore (descending)\fP, sort threads by filtering score descending
(default).
.IP 2
\fBScore (ascending)\fP, sort threads by filtering score ascending.
.IP 3
\fBLast posting date (descending)\fP, sort threads by date of last posting descending.
.IP 4
\fBLast posting date (ascending)\fP, sort threads by date of last posting ascending.
.RE
.TP
.B spamtrap_warning_addresses
Set this option to a list of comma-separated strings to be warned if you are
replying to an article by mail where the e-mail address contains one of
these strings. The matching is case-insensitive. Example:
.sp
\fIspam,delete,remove\fR
.TP
.B stars_regex
A regular expression that will be applied when reading articles. All
matching words are shown in \fBcol_markstar\fP or \fBmono_markstar\fP. If
\fBstars_regex\fP is blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B strip_blanks
Strips the blanks from the end of each line therefore speeding up the
display when reading on a slow terminal or via modem. Default is ON.
.TP
.B strip_bogus
Bogus groups are groups that are present in your
\fI${TIN_HOMEDIR:\-"$HOME"}/.newsrc\fR file that no longer exist on the news
server. There are 3 options. 0 means do nothing & always keep bogus groups.
1 means bogus groups will be permanently removed. 2 means that bogus groups
will appear on the Group Selection Menu, prefixed with a 'D'. This allows
you to unsubscribe from them as and when you wish. Default is 0 (Always
Keep).
.TP
.B strip_newsrc
If ON, then unsubscribed groups will be permanently removed from
your \fI${TIN_HOMEDIR:\-"$HOME"}/.newsrc\fR file. Default is OFF.
.TP
.B strip_re_regex
A regular expression to find Subject prefixes like "Re:" to remove
If \fBstrip_re_regex\fP is blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B strip_was_regex
A regular expression to find Subject suffixes like "(was:" to remove.
If \fBstrip_was_regex\fP is blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B strokes_regex
A regular expression that will be applied when reading articles. All
matching words are shown in \fBcol_markstroke\fP or \fBmono_markstroke\fP.
If \fBstrokes_regex\fP is blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B tex2iso_conv
Decode German style TeX umlaut codes to ISO
If ON, show "a as Umlaut-a, etc. Default is OFF. This behavior can also be
toggled in the article viewer via \fBPageToggleTex2iso\fP ('\fB"\fP').
.TP
.B thread_articles
Defines which threading method to use. The choices are:
0) Don't thread, 1) Thread on Subject only 2) Thread on References only,
3) Thread on References then Subject (default)
4) Thread multipart articles on Subject.
5) Thread on Percentage Match of the Subjects
It's also possible to set the threading type on a per group basis by setting
the group attribute variable \fBthread_articles\fP to 0 \(en 5 in the file
\fI${TIN_HOMEDIR:\-"$HOME"}/.tin/attributes\fR.
.TP
.B thread_format
The format string used for the Thread level. Default is
"%n\ %m\ \ [%L]\ \ %T\ \ %F". The following substitutions are supported:
.in +.3i
.nf
.ta \w'%G    'u +\w'from, name and/or address'u
%D	date
%F	from, name and/or address
%I	initials
%L	line count
%M	message-id
%S	score
%T	thread tree
%m	article marks
%n	current article number
%%	%
.fi
.in -.3i
.TP
.B thread_perc
Defines how close the subjects must match while threading by Percentage
Match for threads to be considered part of a single thread. This value
is in the range 0 to 100. The default is 75.
.TP
.B thread_catchup_on_exit
If ON catchup group/thread when leaving with the left arrow key. Default is
ON.
.TP
.B thread_score
How the total score of a thread is computed. Default is 0, the maximum
score in this thread.
.RS +1i
.IP 0 3
\fBMax\fP, the maximum score in this thread.
.IP 1
\fBSum\fP, the sum of all scores in this thread.
.IP 2
\fBAverage\fP, the average score in this thread.
.RE
.TP
.B tls_ca_cert_file
The name of file containing all trusted CA certificates used for NNTPS
(\fBRFC\%8143\fP) connections. If left empty the system default will be
used.
.TP
.B translit
If ON append //TRANSLIT to the first argument of
.BR \%iconv_open (3)
to enable transliteration. This means that when a character cannot be
represented in the target character set, it can be approximated through one
or several similarly looking characters. On systems where this extension
doesn't exist, this option is disabled. Default is OFF.
.TP
.B trim_article_body
Allows you to select how
.BR \%tin (1)
treats blank lines in article bodies.
Default is 0. This option does not affect lines within verbatim blocks.
.RS +1i
.IP 0 3
\fBDon't trim article body\fP, do nothing.
.IP 1
\fBSkip leading blank lines\fP.
.IP 2
\fBSkip trailing blank lines\fP.
.IP 3
\fBSkip leading and trailing blank l.\fP, skip leading and trailing blank lines.
.IP 4
\fBCompact multiple between text\fP, replace multiple blank lines between
text blocks with one blank line.
.IP 5
\fBCompact multiple and skip leading\fP, 4 + 1
.IP 6
\fBCompact multiple and skip trailing\fP, 4 + 2
.IP 7
\fBCompact mltpl., skip lead. & trai.\fP, 4 + 3
.RE
.TP
.B suppress_soft_hyphens
If ON remove soft hyphens (U+00AD) from non verbatim blocks when displaying
articles. Default is OFF.
.TP
.B underscores_regex
A regular expression that will be applied when reading articles. All
matching words are shown in \fBcol_markdash\fP or \fBmono_markdash\fP. If
\fBunderscores_regex\fP is blank, then
.BR \%tin (1)
uses a built-in default.
.TP
.B unlink_article
If ON remove \fI${TIN_HOMEDIR:\-"$HOME"}/.article\fR after posting. Default
is ON.
.TP
.B url_handler
The program that will be run when launching URLs in the article viewer
using \fBPageViewUrl\fP ('\fBU\fP'). The actual URL will be appended.
Default is \fBurl_handler.pl\fP.
.TP
.B url_highlight
Enable highlighting URLs in message body. Default is ON.
.TP
.B use_color
If enabled
.BR \%tin (1)
uses ANSI-colors. Default is OFF.
.TP
.B use_keypad
Use scroll keys on keypad. Default is OFF.
.TP
.B use_mouse
Allows the mouse button support in an
.BR \%xterm (1x)
to be enabled/disabled.
Default is OFF.
.TP
.B use_slrnface
If enabled
.BR \%slrnface (1)
will be used to interpret the ''X\-Face:'' header. For this option to have
any effect,
.BR \%tin (1)
must be running in an
.BR \%xterm (1x)
and
.BR \%slrnface (1)
must be in your $\fBPATH\fP. Default is OFF.
.TP
.B utf8_graphics
If ON use UTF-8 characters for indicator ('\->'), thread/attachment tree and
ellipsis ('...'). Default is OFF.
.TP
.B verbatim_begin_regex
A regular expression that \fBtin\fP will use to find the begin of a verbatim
block. Default is #v+
.TP
.B verbatim_end_regex
A regular expression that \fBtin\fP will use to find the end of a verbatim
block. Default is #v-
.TP
.B verbatim_handling
If ON verbatim blocks will be detected. Default is ON.
.TP
.B wildcard
Allows you to select how
.BR \%tin (1)
matches strings. The default is 0 and
uses the
.BR \%wildmat (3)
notation, which is how this has traditionally been handled.
Setting this to 1 allows you to use
.BR \%perl (1)
compatible regular expressions
.BR \%pcre (3)
or
.BR \%pcre2 (3).
(see also
.BR \%perlre (1)
and
.BR \%pcrepattern (3)
or
.BR \%pcre2pattern (3)).
You will probably want to update your filter file if you use this regularly.
NB: Newsgroup names will always be matched using the
.BR \%wildmat (3)
notation.
.TP
.B word_h_display_marks
Should the leading and ending stars, slashes, strokes and dashes also be
displayed, even when they are highlighting marks?
.RS +1i
.IP 0 3
\fBno\fP
.IP 1
yes, \fBdisplay mark\fP
.IP 2
print a \fBspace\fP instead
.RE
.TP
.B word_highlight
Enable word highlighting. See \fBword_h_display_marks\fP for the options
available. If \fBuse_color\fP is enabled the colors specified in
\fBcol_markdash\fP, \fBcol_markslash\fP, \fBcol_markstar\fP and
\fBcol_markstroke\fP are used for word highlighting else the character
attributes specified in \fBmono_markdash\fP, \fBmono_markslash\fP,
\fBmono_markstar\fP and \fBmono_markstroke\fP are used. Default is ON.
.TP
.B wrap_column
Sets the column at which a displayed article body should be wrapped.
If this value is equal to 0, it defaults to the current screen width.
If this value is greater than your current screen width the part
off-screen is not displayed. Thus setting this option to a large
value can be used to disable wrapping. If this value is negative the
wrap margin is the current screen width plus the given value (as long
as the result is still positive, otherwise it will fall back to the
current screen width). Default is 0, wrapping at the current screen
width.
.TP
.B wrap_on_next_unread
If enabled a search for the next unread article will wrap around all
articles to find also previous unread articles. If disabled the search
stops at the end of the thread list. Default is ON.
.TP
.B xpost_quote_format
Format is the same as for \fBnews_quote_format\fP, this is used when
answering to a crossposting to several groups with no ''Followup\-To:''
set.
.RE
.PP

.IR /etc/tin/tin.defaults
.sp
.RS
Yet another global configuration file with "\fIvariable\fR=\fIvalue\fR"
pairs. This one is for the more general options which usually can't be
controlled via \fI${TIN_LIBDIR:\-NEWSLIBDIR}/tinrc\fR and/or
\fI${TIN_HOMEDIR:\-"$HOME"}/.tin/tinrc\fR like resetting (to override the
built-in default) the \fInewslibdir\fR.
.TP
.B domainname
Sets a global domain name used in From lines
.TP
.B organization
Defines the name of your organization. $\fBORGANIZATION\fP overrides any
specified value.
.TP
.B newslibdir
Defines the default place for some configuration files, common values are
\fI/usr/lib/news\fR, \fI/var/lib/news\fR, \fI/usr/local/lib/news\fR or
\fI/news/db\fR. $\fBTIN_LIBDIR\fP overrides any specified value.
.TP
.B bugaddress
Defines the email address to which users can send bug reports using a
built-in function. The default points to a developers mailing list located
at tin.org. You might want to change this address to one of your local
administration if you want to deal with your lusers problems on your own.
.TP
.B inewsdir
Defines the directory containing the
.BR \%inews (1)
executable.
.TP
.B mm_charset
Default charset to be used in MIME's ''Content\-Type:'' header.
$\fBMM_CHARSET\fP overrides any specified value.
.TP
.B post_mime_encoding
Default encoding scheme used in MIME articles. 8bit might be the best value.
.TP
.B mail_mime_encoding
Default encoding scheme used in MIME letters. quoted\-printable is a good
choice here.
.TP
.B disable_gnksa_domain_check
Allow unregistered top level domains. As the list of valid TLDs is no longer
actively maintained the default was changed to ON starting with
.BR \%tin (1)
version 2.1.5
.TP
.B disable_sender
Don't generate a ''Sender:'' header. This has an effect only if
\fBinews_prog\fP is set to \-\-internal.
.TP
.B spooldir
Base of your newsspool (Bnews, Cnews and INN traditional spool style), common
values are \fI/var/spool/news\fR, \fI/usr/spool/news\fR, \fI/news/spool\fR.
$\fBTIN_SPOOLDIR\fP overrides any specified value.
.TP
.B overviewdir
Base of your NOV database
.BR \%newsoverview (5)
(tradspool style; might be the same dir as
\fIspooldir\fR), common values are \fI/var/spool/overview\fR,
\fI/usr/spool/overview\fR, \fI/news/overview\fR. $\fBTIN_NOVROOTDIR\fP
overrides any specified value.
.TP
.B overviewfile
Name of a single overview file, common values are \fI.overview\fR or
\fIover.view\fR. $\fBTIN_NOVFILENAME\fP overrides any specified value.
.TP
.B overviewfmtfile
Full pathname of your newssystem's overview.fmt file; usually the file
residesin \fInewslibdir\fR and is named \fIoverview.fmt\fR, so you only
have to change this setting if your configuration differs.
.TP
.B activefile
Full pathname of your newssystem's active file; usually the file
resides in \fInewslibdir\fR and is named \fIactive\fR, so you only have
to change this setting if your configuration differs. $\fBTIN_ACTIVEFILE\fP
overrides any specified value.
.TP
.B activetimesfile
Full pathname of your newssystem's active.times file; usually the
file resides in \fInewslibdir\fR and is named \fIactive.times\fR,
so you only have to change this setting if your configuration differs.
.TP
.B newsgroupsfile
Full pathname of your newssystem's newsgroups file; usually the file
resides in \fInewslibdir\fR and is named \fInewsgroups\fR, so you only
have to change this setting if your configuration differs.
.TP
.B subscriptionsfile
Full pathname of your newssystem's subscriptions file; usually the
file resides in \fInewslibdir\fR and is named \fIsubscriptions\fR,
so you only have to change this setting if your configuration differs.
.RE
.PP

.IR /usr/local/share/locale/$LC_MESSAGES/LC_MESSAGES/tin.mo
.sp
.RS
translation into language specified in $\fBLC_ALL\fP, $\fBLC_MESSAGES\fP or
$\fBLANG\fP
.RE
.PP

.\" tin uses inns old (pre 2.x) Path convention.
.\" as with inn >= 2.2.x getting more and more popular
.\" we should think about checking for the new Paths
.\" (described shown below).
.IR ${TIN_LIBDIR:\-NEWSLIBDIR}"/"${TIN_ACTIVEFILE:\-active}
.sp
.RS
This file lists the newsgroups that the local site receives. Each newsgroup
should be listed only once. Each line specifies one group; within each
newsgroup, articles are assigned unique names, which are monotonically
increasing numbers.
.sp
If an article is posted to newsgroups not mentioned in this file, those
newsgroups are ignored.
.\" TODO: IIRC tin issues just a warning in that case?
If no valid newsgroups are specified, the article is rejected.
.sp
Each line consists of four space-separated fields "\fIname\fR \fIhighmark\fR
\fIlowmark\fR \fIflags\fR".
.TP
.B name
is the name of the newsgroup
.TP
.B highmark
is the highest article number that has been used in that newsgroup
.TP
.B lowmark
is the lowest article number in the group; this number is not guaranteed to
be accurate, and should only be taken to be a hint. Note that because of
article cancellations, there may be gaps in the numbering sequence. If the
lowest article number is greater than the highest article number, then there
are no articles in the newsgroup.
.TP
.B flags
can be one of those
.RS
.TP
.B y
local postings are allowed
.TP
.B n
no local postings are allowed, only remote ones
.TP
.B m
the group is moderated and all postings must be approved
.TP
.B j
articles in this group are not kept, but only passed on
.TP
.B x
articles cannot be posted to this newsgroup
.TP
.B =foo.bar
articles are locally filed into the ''foo.bar'' group
.RE
.TP
.BR \%tin (1)
only tries to read the file if you read directly from the local spool,
if you read news via NNTP,
.BR \%tin (1)
uses the LIST (\fBRFC\%3977\fP) or LIST COUNTS (\fBRFC\%6048\fP) command
instead.
.RE
.PP

.IR ${TIN_LIBDIR:\-NEWSLIBDIR}/active.times
.sp
.RS
This file provides a chronological record of when newsgroups are created. It
is normally updated by the local news server (e.g.
.BR \%innd (8))
whenever a new group is created. Each line consist of three space-separated
fields "\fIname\fR \fItime\fR \fIcreator\fR".
.TP
.B name
is the name of the newsgroup
.TP
.B time
is the time when the group was created, expressed as the number of seconds
since the Epoch.
.TP
.B creator
is the electronic mail address of the person who created the group.
.TP
.BR \%tin (1)
only tries to read the file if you read directly from the local spool,
if you read news via NNTP,
.BR \%tin (1)
uses the NEWGROUPS (\fBRFC\%3977\fP) command instead.
.RE
.PP

.IR ${TIN_LIBDIR:\-NEWSLIBDIR}/newsgroups
.sp
.RS
This file provides short descriptions of each newsgroup. It is normally
updated by the local news server (e.g.
.BR \%innd (8))
whenever a new group is created. Each line consist of two tab-separated
fields "\fIgroup.name\fR	\fIone-line description\fR".
.TP
.B group.name
is the name of the newsgroup
.TP
.B one-line description
is a short single-line description of the group
.TP
.BR \%tin (1)
only tries to read the file if you read directly from the local spool,
if you read news via NNTP,
.BR \%tin (1)
uses the LIST NEWSGROUPS (\fBRFC\%3977\fP) command instead.
.RE
.PP

.IR ${TIN_LIBDIR:\-NEWSLIBDIR}/organization
.sp
.RS
This file might hold a default organization to be used in
the ''Organization:'' header. $\fBORGANIZATION\fP has a higher priority
if set.
.RE
.PP

.IR ${TIN_LIBDIR:\-NEWSLIBDIR}/overview.fmt
.\" is the Path correct? or is it /news/etc/overview.fmt
.sp
.RS
This file specifies the organization of the news overview database (see
also
.BR \%newsoverview (5)).
The order of lines in this file is important; it determines the order in
which the fields will appear in the database. See also
.BR \%overview.fmt (5).
.BR \%tin (1)
only tries to read the file if you read directly from the local spool,
if you read news via NNTP,
.BR \%tin (1)
uses the LIST OVERVIEW.FMT (\fBRFC\%3977\fP) command instead.
.RE
.PP

.IR ${TIN_LIBDIR:\-NEWSLIBDIR}/subscriptions
.\" is the Path correct? or is it /news/etc/subscriptions
.sp
.RS
This file contains a list of newsgroups \(em one per line \(em which the client
should subscribe to when the user has no ${TIN_HOMEDIR:\-"$HOME"}/.newsrc
for the news server.
.BR \%tin (1)
only tries to read the file if you read directly from the local spool,
if you read news via NNTP,
.BR \%tin (1)
uses the LIST SUBSCRIPTIONS (\fBRFC\%6048\fP) command instead.
.RE

.SH "SEE ALSO"
.BR \%inews (1),
.BR \%ispell (1),
.BR \%lp (1),
.BR \%lpr (1),
.BR \%metamail (1),
.BR \%mutt (1),
.BR \%perl (1),
.BR \%perlre (1),
.BR \%pgp (1),
.BR \%rn (1),
.BR \%shar (1),
.BR \%slrnface (1),
.BR \%tin (1),
.BR \%xterm (1x),
.BR \%heapsort (3),
.BR \%iconv (3),
.BR \%iconv_open (3),
.BR \%nl_langinfo (3),
.BR \%pcre (3),
.BR \%pcre2 (3),
.BR \%pcrepattern (3),
.BR \%pcre2pattern (3),
.BR \%qsort (3),
.BR \%strftime (3),
.BR \%system (3),
.BR \%active (5),
.BR \%mailcap (5),
.BR \%mbox (5),
.BR \%mmdf (5),
.BR \%newsoverview (5),
.BR \%overview.fmt (5),
.BR \%innd (8),
.BR RFC\%1524 ,
.BR RFC\%2045 ,
.BR RFC\%2046 ,
.BR RFC\%2047 ,
.BR RFC\%2048 ,
.BR RFC\%2231 ,
.BR RFC\%2980 ,
.BR RFC\%3977 ,
.BR RFC\%4155 ,
.BR RFC\%4643 ,
.BR RFC\%5322 ,
.BR RFC\%5536 ,
.BR RFC\%5537 ,
.BR RFC\%6048 ,
.BR RFC\%8143
